﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;

namespace GlobalBank.EFT.Views
{
    public class LastTransferViewPresenter : Presenter<ILastTransferView>
    {
        private EFTController _controller;
        public LastTransferViewPresenter([CreateNew] EFTController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {
            DateTime lastTransferDate = _controller.GetLastTransferDate();
            if (lastTransferDate.Equals(DateTime.MinValue))
            {
                View.ShowLastTransferDate = false;
            }
            else
            {
                View.ShowLastTransferDate = true;
                View.LastTransferDate = lastTransferDate;
            }
        }


        public override void OnViewInitialized()
        {
            // TODO: Implement code that will be executed the first time the view loads
        }

        // TODO: Handle other view events and set state in the view


        public void OnNewTransfer()
        {
            _controller.CreateNewTransfers();
        }
    }
}




