﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;
using GlobalBank.EFT.BusinessEntities;

namespace GlobalBank.EFT.Views
{
    public class NewTransferViewPresenter : Presenter<INewTransferView>
    {
        private EFTController _controller;
        public NewTransferViewPresenter([CreateNew] EFTController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {
            View.Transfers = _controller.GetTransfers();
        }


        public override void OnViewInitialized()
        {
            // TODO: Implement code that will be executed the first time the view loads
        }

        public void OnTransferAdded(Transfer transfer)
        {
            _controller.AddTransfer(transfer);
        }

        public void OnSubmitTransfers()
        {
            _controller.SubmitTransfers();
        }

        public void OnTransferDeleted(Transfer transfer)
        {
            _controller.DeleteTransfer(transfer);
        }

        public void OnTransferUpdated(Transfer transfer)
        {
            _controller.UpdateTransfer(transfer);
        }
    }
}




