﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Practices.ObjectBuilder;
using GlobalBank.EFT.Views;
using System.Collections.Generic;
using GlobalBank.EFT.BusinessEntities;

public partial class EFT_ReviewTransfersView : System.Web.UI.Page, IReviewTransfersView
{
    private ReviewTransfersViewPresenter _presenter;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this._presenter.OnViewInitialized();
        }
        this._presenter.OnViewLoaded();
    }

    [CreateNew]
    public ReviewTransfersViewPresenter Presenter
    {
        set
        {
            this._presenter = value;
            this._presenter.View = this;
        }
    }

    // TODO: Forward events to the presenter and show state to the user.
    // For examples of this, see the View-Presenter (with Application Controller) QuickStart:
    //		ms-help://MS.VSIPCC.v80/ms.practices.wcsf.2007dec/wcsf/html/02-480-ViewPresenter.htm


    #region IReviewTransfersView Members

    public System.Collections.Generic.IList<Transfer> Transfers
    {
        set { TransfersDataSource.DataSource = value; }
    }

    #endregion

    protected void ReviseButton_Click(object sender, EventArgs e)
    {
        _presenter.OnReviseTransfers();
    }
    protected void ProcessButton_Click(object sender, EventArgs e)
    {
        _presenter.OnProcessTransfers();
    }
}


